Skip to main content
GET
/
metrics
/
v1
/
markets
/
{marketIdentifier}
Get market
curl --request GET \
  --url https://api.messari.io/metrics/v1/markets/{marketIdentifier} \
  --header 'X-Messari-API-Key: <api-key>'
import requests

url = "https://api.messari.io/metrics/v1/markets/{marketIdentifier}"

headers = {"X-Messari-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};

fetch('https://api.messari.io/metrics/v1/markets/{marketIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": null,
  "data": {
    "id": "6057-649-44",
    "baseAsset": {
      "id": "1e31218a-e44e-4285-820c-8282ee222035",
      "name": "Bitcoin",
      "slug": "bitcoin",
      "symbol": "BTC"
    },
    "baseAssetSector": "Cryptocurrency",
    "quoteAsset": {
      "id": "60dcd17b-00f3-49f8-907c-f390c2521c59",
      "name": "United States Dollar",
      "slug": "fedcoin",
      "symbol": "USD"
    },
    "quoteAssetSector": "",
    "exchange": {
      "id": "181f44f6-f9b7-4c11-9e44-7c7f803d808e",
      "name": "Coinbase",
      "slug": "coinbase"
    },
    "network": null,
    "sectors": [
      "Cryptocurrency"
    ],
    "firstTradeAt": "2014-12-01T06:00:00Z",
    "lastTradeAt": "2026-03-04T23:34:00Z",
    "isNewMarket": false,
    "isRecentlyListed": false,
    "liveness": "live",
    "metrics": {
      "exchangeVolumePercentage24h": 44.03,
      "latestPrice24hOpen": 68394.99,
      "latestPrice24hHigh": 74100,
      "latestPrice24hLow": 67391.17,
      "latestPrice24hClose": 72411.99,
      "premiumDiscount": -0.136,
      "volume24h": 1496297599.8,
      "tradeCount24h": 1219331
    }
  }
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
x402 Support: Supported. See the x402 guide.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

marketIdentifier
string
required
Example:

"6057-649-44"

Response

Default response

data
object
required
error
string